org.gradle.ide.visualstudio

## Interface TextProvider

-     @Incubating
      public interface TextProvider

  Provides access to the content of a generated text file.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuilder` | `asBuilder()` Get the content as a `StringBuilder`, permitting direct modification.
    `String` | `getText()` The text content.
    `void` | `setText(String value)` Replace the content.

- - ### Method Detail

    - #### getText

          String getText()

      The text content.

    - #### setText

          void setText(String value)

      Replace the content.

    - #### asBuilder

          StringBuilder asBuilder()

      Get the content as a `StringBuilder`, permitting direct modification.